Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Class JcrNtLexicon

    java.lang.Object
      org.modeshape.graph.JcrNtLexicon
          org.modeshape.jcr.JcrNtLexicon

    public class JcrNtLexicon

extends JcrNtLexicon

Lexicon of names from the standard JCR "`http://www.jcp.org/jcr/nt/1.0`" namespace.

Nested Class Summary

Nested classes/interfaces inherited from class org.modeshape.graph.JcrNtLexicon
`JcrNtLexicon.Namespace`

Field Summary
`static Name` | `FROZEN_NODE`
`static Name` | `HIERARCHY_NODE`
`static Name` | `LINKED_FILE`
`static Name` | `QUERY`
`static Name` | `SHARE` The "nt:share" node type name only appears in a serialized XML document exported from a repository, and never appears in the actual repository content.
`static Name` | `VERSION`
`static Name` | `VERSION_HISTORY`
`static Name` | `VERSION_LABELS`
`static Name` | `VERSIONED_CHILD`

Fields inherited from class org.modeshape.graph.JcrNtLexicon
`BASE, CHILD_NODE_DEFINITION, FILE, FOLDER, NODE_TYPE, PROPERTY_DEFINITION, RESOURCE, UNSTRUCTURED`

Constructor Summary
`JcrNtLexicon()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FROZEN_NODE

    public static final Name FROZEN_NODE

### HIERARCHY_NODE

    public static final Name HIERARCHY_NODE

### LINKED_FILE

    public static final Name LINKED_FILE

### QUERY

    public static final Name QUERY

### VERSION

    public static final Name VERSION

### VERSIONED_CHILD

    public static final Name VERSIONED_CHILD

### VERSION_HISTORY

    public static final Name VERSION_HISTORY

### VERSION_LABELS

    public static final Name VERSION_LABELS

### SHARE

    public static final Name SHARE

  The "nt:share" node type name only appears in a serialized XML document exported from a repository, and never appears in the actual repository content. Therefore, there is no actual "nt:share" node type. For details, see Sections 14.7 and 14.8 of the JCR 2.0 specification.

Constructor Detail

### JcrNtLexicon

    public JcrNtLexicon()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.